Package com.xebialabs.xlrelease.domain

# Class Trigger

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseScript
com.xebialabs.xlrelease.domain.BasePythonScript
com.xebialabs.xlrelease.domain.Trigger

All Implemented Interfaces:
  `ConfigurationItem`, `CiWithUid`, `Serializable`, `Comparable<BaseConfigurationItem>`

Direct Known Subclasses:
  `ScheduledTrigger`

@Metadata(versioned=false, virtual=true) public abstract class Trigger extends BasePythonScript implements CiWithUid

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALLOW_PARALLEL_EXECUTION`
  `protected boolean`
  `allowParallelExecution`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Trigger()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getAllowParallelExecution()`
  `Integer`
  `getCiUid()`
  `abstract String`
  `getContainerId()`
  `String`
  `getDescription()`
  `String`
  `getFolderId()`
  `List<String>`
  `getInternalProperties()`
  `Date`
  `getLastRunDate()`
  `TriggerExecutionStatus`
  `getLastRunStatus()`
  `String`
  `getTitle()`
  `String`
  `getTriggerState()`
  `boolean`
  `isEnabled()`
  `void`
  `setAllowParallelExecution(boolean allowParallelExecution)`
  `void`
  `setCiUid(Integer ciUid)`
  `void`
  `setDescription(String description)`
  `void`
  `setEnabled(boolean enabled)`
  `void`
  `setFolderId(String folderId)`
  `void`
  `setLastRunDate(Date lastRunDate)`
  `void`
  `setLastRunStatus(TriggerExecutionStatus lastRunStatus)`
  `void`
  `setTitle(String title)`
  `void`
  `setTriggerState(String triggerState)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseScript

  `getAbortScript, getScript`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- ## Field Details

  - ### ALLOW_PARALLEL_EXECUTION

    public static final String ALLOW_PARALLEL_EXECUTION
    See Also:
      - Constant Field Values

  - ### allowParallelExecution

    @Property(category="hidden", defaultValue="false", isTransient=true, description="Allows parallel execution of triggers (ie parallel processing of execute requests/scripts).") protected boolean allowParallelExecution

- ## Constructor Details

  - ### Trigger

    public Trigger()

- ## Method Details

  - ### getCiUid

    public Integer getCiUid()
    Specified by:
      `getCiUid` in interface `CiWithUid`

  - ### setCiUid

    public void setCiUid(Integer ciUid)
    Specified by:
      `setCiUid` in interface `CiWithUid`

  - ### getInternalProperties

    public List<String> getInternalProperties()

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### isEnabled

    public boolean isEnabled()

  - ### setEnabled

    public void setEnabled(boolean enabled)

  - ### getTriggerState

    public String getTriggerState()

  - ### setTriggerState

    public void setTriggerState(String triggerState)

  - ### getFolderId

    public String getFolderId()

  - ### setFolderId

    public void setFolderId(String folderId)

  - ### getAllowParallelExecution

    public boolean getAllowParallelExecution()

  - ### setAllowParallelExecution

    public void setAllowParallelExecution(boolean allowParallelExecution)

  - ### getLastRunDate

    public Date getLastRunDate()

  - ### setLastRunDate

    public void setLastRunDate(Date lastRunDate)

  - ### getLastRunStatus

    public TriggerExecutionStatus getLastRunStatus()

  - ### setLastRunStatus

    public void setLastRunStatus(TriggerExecutionStatus lastRunStatus)

  - ### getContainerId

    public abstract String getContainerId()